All Classes Namespaces Functions Variables Pages
AmoebaWcaDispersionForce Class Reference

This class implements a nonbonded interaction between pairs of particles typically used along with AmoebaGeneralizedKirkwoodForce as part of an implicit solvent model. More...

Inheritance diagram for AmoebaWcaDispersionForce:

## Public Member Functions

def | getNumParticles
| getNumParticles(AmoebaWcaDispersionForce self) -> int More...
def | setParticleParameters
| setParticleParameters(AmoebaWcaDispersionForce self, int particleIndex, double radius, double epsilon) More...
def | getParticleParameters
| getParticleParameters(AmoebaWcaDispersionForce self, int particleIndex) More...
def | addParticle
| addParticle(AmoebaWcaDispersionForce self, double radius, double epsilon) -> int More...
def | updateParametersInContext
| updateParametersInContext(AmoebaWcaDispersionForce self, Context context) More...
def | getEpso
| getEpso(AmoebaWcaDispersionForce self) -> double More...
def | getEpsh
| getEpsh(AmoebaWcaDispersionForce self) -> double More...
def | getRmino
| getRmino(AmoebaWcaDispersionForce self) -> double More...
def | getRminh
| getRminh(AmoebaWcaDispersionForce self) -> double More...
def | getAwater
| getAwater(AmoebaWcaDispersionForce self) -> double More...
def | getShctd
| getShctd(AmoebaWcaDispersionForce self) -> double More...
def | getDispoff
| getDispoff(AmoebaWcaDispersionForce self) -> double More...
def | getSlevy
| getSlevy(AmoebaWcaDispersionForce self) -> double More...
def | setEpso
| setEpso(AmoebaWcaDispersionForce self, double inputValue) More...
def | setEpsh
| setEpsh(AmoebaWcaDispersionForce self, double inputValue) More...
def | setRmino
| setRmino(AmoebaWcaDispersionForce self, double inputValue) More...
def | setRminh
| setRminh(AmoebaWcaDispersionForce self, double inputValue) More...
def | setAwater
| setAwater(AmoebaWcaDispersionForce self, double inputValue) More...
def | setShctd
| setShctd(AmoebaWcaDispersionForce self, double inputValue) More...
def | setDispoff
| setDispoff(AmoebaWcaDispersionForce self, double inputValue) More...
def | setSlevy
| setSlevy(AmoebaWcaDispersionForce self, double inputValue) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaWcaDispersionForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaWcaDispersionForce self) -> AmoebaWcaDispersionForce init(OpenMM::AmoebaWcaDispersionForce self, AmoebaWcaDispersionForce other) -> AmoebaWcaDispersionForce More...
def | __del__
| del(OpenMM::AmoebaWcaDispersionForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Detailed Description

This class implements a nonbonded interaction between pairs of particles typically used along with AmoebaGeneralizedKirkwoodForce as part of an implicit solvent model.

To use it, create an AmoebaWcaDispersionForce object then call addParticle() once for each particle. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaWcaDispersionForce self) -> AmoebaWcaDispersionForce init(OpenMM::AmoebaWcaDispersionForce self, AmoebaWcaDispersionForce other) -> AmoebaWcaDispersionForce

Create an AmoebaWcaDispersionForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaWcaDispersionForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addParticle | ( |  | self,
|  |  | args
| ) |  |

addParticle(AmoebaWcaDispersionForce self, double radius, double epsilon) -> int

Set the force field parameters for a WCA dispersion particle.

Parameters

  radius | radius
  epsilon | epsilon

References simtk.openmm.openmm.stripUnits().

Referenced by NonbondedForce.addParticle_usingRVdw().

def getAwater | ( |  | self,
|  |  | args
| ) |  |

getAwater(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getDispoff | ( |  | self,
|  |  | args
| ) |  |

getDispoff(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getEpsh | ( |  | self,
|  |  | args
| ) |  |

getEpsh(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getEpso | ( |  | self,
|  |  | args
| ) |  |

getEpso(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getNumParticles | ( |  | self,
|  |  | args
| ) |  |

getNumParticles(AmoebaWcaDispersionForce self) -> int

Get the number of particles

References simtk.openmm.openmm.stripUnits().

def getParticleParameters | ( |  | self,
|  |  | args
| ) |  |

getParticleParameters(AmoebaWcaDispersionForce self, int particleIndex)

Get the force field parameters for a WCA dispersion particle.

Parameters

  particleIndex | the particle index
  radius | radius
  epsilon | epsilon

References simtk.openmm.openmm.stripUnits().

def getRminh | ( |  | self,
|  |  | args
| ) |  |

getRminh(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getRmino | ( |  | self,
|  |  | args
| ) |  |

getRmino(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getShctd | ( |  | self,
|  |  | args
| ) |  |

getShctd(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def getSlevy | ( |  | self,
|  |  | args
| ) |  |

getSlevy(AmoebaWcaDispersionForce self) -> double

References simtk.openmm.openmm.stripUnits().

def setAwater | ( |  | self,
|  |  | args
| ) |  |

setAwater(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setDispoff | ( |  | self,
|  |  | args
| ) |  |

setDispoff(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setEpsh | ( |  | self,
|  |  | args
| ) |  |

setEpsh(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setEpso | ( |  | self,
|  |  | args
| ) |  |

setEpso(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setParticleParameters | ( |  | self,
|  |  | args
| ) |  |

setParticleParameters(AmoebaWcaDispersionForce self, int particleIndex, double radius, double epsilon)

Set the force field parameters for a WCA dispersion particle.

Parameters

  particleIndex | the particle index
  radius | radius
  epsilon | epsilon

References simtk.openmm.openmm.stripUnits().

def setRminh | ( |  | self,
|  |  | args
| ) |  |

setRminh(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setRmino | ( |  | self,
|  |  | args
| ) |  |

setRmino(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setShctd | ( |  | self,
|  |  | args
| ) |  |

setShctd(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def setSlevy | ( |  | self,
|  |  | args
| ) |  |

setSlevy(AmoebaWcaDispersionForce self, double inputValue)

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaWcaDispersionForce self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force are unaffected and can only be changed by reinitializing the Context.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaWcaDispersionForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py